Subject: Re: tulip_rxtx_stop() on Cobalt Qube2

From: Florian Fainelli <[email-masked]>
Date: Sun, 3 May 2009 21:45:43 +0200

Hi Grant,

Le Sunday 03 May 2009 13:32:09 Grant Grundler, vous avez écrit :
> On Fri, May 01, 2009 at 12:38:57PM +0200, Florian Fainelli wrote:

> I added the additional output. I'll need to grab the manuals and
> look up the bits.

That would be great, thanks.

>
> > eth0: Setting full-duplex based on MII#1 link partner capability of 45e1.
> >
> > The interface is still fully functional, shall we increase the timeount
> > in tulip_stop_rxtx() to prevent this message from appearing ?
>
> I expect the timeout (1.3ms) is long enough to cover "normal" cases.
> If something is taking longer than "normal", I'd like to know.
>
> If increasing it to 1.5 or 2ms makes this go away, I don't
> think I'll object.

Neither 1.5 nor 2 ms prevent this message from showing up. I have not checked 
CoLo but maybe the bootloader has already configured the Ethernet interfaces 
and therefore this check fails.
-- 
Best regards, Florian Fainelli
Email : [email-masked]
http://openwrt.org
-------------------------------